<?php

	error_reporting(E_ALL & ~E_NOTICE);

$pageLayout = <<<PAGE
<!DOCTYPE html>
<html lang="nl">
  <head>
    <meta charset="utf-8" />
    <title>lucidAuth</title>
	<meta name="application-name" content="lucidAuth" />
	<meta name="theme-color" content="#B50000" />
	<link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png" />
	<link rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png" />
	<link rel="manifest" href="/manifest.json" />
	<link href="misc/style.css" rel="stylesheet" />
	<link href="misc/style.theme.css" rel="stylesheet" />
    <link href="misc/style.button.css" rel="stylesheet" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.js"></script>
    <script src="misc/script.theme.js"></script>
    <script src="misc/script.translation.js"></script>
    <script>var cred = { fn: '{$_SESSION['fullname']}', gn: '{$_SESSION['givenname']}' };</script>
  </head>
  <body>
    <div id="horizon">
      <div id="content" style="top: {$stylevar['content']['top']}; margin-left: {$stylevar['content']['margin-left']}; height: {$stylevar['content']['height']}; width: {$stylevar['content']['width']};">
        <div class="logo">
          <div class="left"><div class="middle">lucidAuth</div></div><div class="right"></div>
          <div class="sub"><em>Respect</em> the unexpected; mitigate your risks</div>
        </div>
        <div class="main">
          <!--REPL_MAIN-->
        </div>
      </div>
      <div id="error" style="display: none; top: -100px; margin-left: -225px; height: 200px; width: 450px;">
        <div class="logo">
          <div class="left"><div class="middle" data-translation="heading_error">FOUT!</div></div><div class="right"></div>
	  <div class="sub" id="errorsub"></div>
        </div>
        <div class="main">
          <ul>
            <li>
              <span id="errordesc"></span>
            </li>
            <li>
			  <button id="btnerrcontinue" class="bttn-simple bttn-xs bttn-primary" tabindex="100" data-translation="button_continue">doorgaan</button>
			  <button id="btnerrcancel" class="bttn-simple bttn-xs bttn-primary" tabindex="200" data-translation="button_cancel">annuleer</button>
            </li>
          </ul>
        </div>
      </div>
    </div>
  </body>
</html>
PAGE;

$contentLayout['login'] = <<<LOGIN
		  <script src="misc/script.index.js"></script>
          <fieldset>
            <legend>Login Details</legend>
            <ul>
              <li>
                <label class="pre" for="username" data-translation="label_username">Gebruikersnaam:</label>
                <input type="text" id="username" name="username" tabindex="100" />
                <label for="username">@lucidAuth</label>
              </li>
              <li>
                <label class="pre" for="password" data-translation="label_password">Wachtwoord:</label>
                <input type="password" id="password" name="password" tabindex="200" />
              </li>
              <li>
				<input type="hidden" id="ref" name="ref" value="{$_GET['ref']}" />
				<button id="btnlogin" class="bttn-simple bttn-xs bttn-primary" tabindex="300" data-translation="button_login">login</button>
              </li>
              <li class="misc">
                <span class="indent">&nbsp;</span>
              </li>
              <li class="misc">
                <span class="indent" data-translation="span_credentialsavailable">Inloggegevens verkrijgbaar op aanvraag!</span>
              </li>
            </ul>
          </fieldset>
          <img src="/images/tag_lock.png" style="position: absolute; top: 175px; left: 20px;" alt="Secure!" />
LOGIN;

$contentLayout['manage'] = <<<MANAGE
		  <script src="misc/script.manage.js"></script>
          <span id="user"><span data-translation="span_loggedinas">Ingelogd als</span>&nbsp;{$_SESSION['fullname']}&nbsp;---&nbsp;[<a id="linkplugindialog" tabindex="600" data-translation="link_plugin">Browser plugin</a><div id="pluginlogos"><span data-translation="label_selectbrowser" style="float: left; margin-left: 5px;">Select browser:</span><span style="font-size: 8px; float: right; margin-right: 5px; margin-top: 2px;">[v0.2.122.4]</span><br /><img id="linkpluginchrome" src="images/chrome_256x256.png" /><img id="linkpluginfirefox" src="images/firefox_256x256.png" /><img id="linkpluginopera" src="images/opera_256x256.png" /></div>]&nbsp;[<a id="linklanguage-en" href="#" tabindex="700">EN</a>&nbsp;<a id="linklanguage-nl" class="current" href="#" tabindex="700">NL</a>]&nbsp;[<a href="index.php?do=logout" tabindex="800" data-translation="link_logout">Log uit</a>]</span>
<!--          <fieldset style="clear: both;">
            <legend>Beheer Account</legend>
            <ul>
              <li>
              </li>
              <li>
		        <button id="btnaliasadd" class="bttn-simple bttn-xs bttn-primary" tabindex="200" data-translation="button_add">voeg toe</button>
              </li>
              <li>
                <label id="labelallaliases" class="pre" for="allaliases" data-translation="label_allaliases">Alle aliassen:</label><output id="aliasstats">[--]</output>
                <select id="allaliases" size="10" multiple="multiple" tabindex="300">
                </select>
              </li>
              <li>
		        <button id="btnaliasdelete" class="bttn-simple bttn-xs bttn-primary" tabindex="400" data-translation="button_delete">verwijder</button>
              </li>
              <li>
				<button id="btnsync" class="bttn-simple bttn-xs bttn-primary" style="background-position: center;" tabindex="500" data-translation="button_sync">synchroniseer</button>
              </li>
            </ul>
          </fieldset>
          -->
MANAGE;

$contentLayout['dialog'] = <<<DIALOG
          <ul class="dialog">
            <li>
              <!--REPL_DIALOGDESC-->
            </li>
            <li>
			  <button id="btnhome" class="bttn-simple bttn-xs bttn-primary" tabindex="400" data-translation="button_home">ga naar startpagina</button>
            </li>
          </ul>
DIALOG;

?>